Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Name_Proxy.h File Reference

`#include "ace/INET_Addr.h"`
`#include "ace/SOCK_Connector.h"`
`#include "ace/SOCK_Stream.h"`
`#include "ace/Service_Config.h"`
`#include "ace/Synch_Options.h"`
`#include "ace/Name_Request_Reply.h"`

Include dependency graph for Name_Proxy.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Name_Proxy
| Proxy for dealing with remote server process managing NET_LOCAL NameBindings. More...

## Detailed Description

Id:
  Name_Proxy.h,v 4.10 2003/07/19 19:04:12 dhinton Exp

Proxy for dealing with remote server process managing NET_LOCAL Name_Bindings.

Author:
  Gerhard Lenzer , Douglas C. Schmidt , Prashant Jain